Zoeken

Een trend doorzoeken

GET /v1/search/trends reads 2 credits

De gerangschikte berichten die X toont wanneer een trend wordt geopend: de top-resultatenset voor de naam van de trend, in de volgorde waarin een lezer ze op de trendpagina ziet.

Queryparameters

QueryparameterTypeBetekenis
q *stringDe naam of query van de trend, precies zoals vermeld in een trends-antwoord
countint 1–100 = 20Gevraagde paginagrootte; X behandelt dit als een hint
cursorstringUit next_cursor van de vorige pagina

antwoord

Dezelfde vorm als zoeken, met product altijd top; next_cursor is null op de eerste pagina zonder berichten. Veld voor veld: Tweet (lezen).

Status: 200, 400, 422, 429, 502

verzoek
curl https://api.xsignalfeed.com/v1/search/trends?q=NASA&count=10 \
  -H "Authorization: Bearer xsf_your_key"
antwoord · 200 / 400
{
  "query": "NASA",
  "product": "top",
  "tweets": [
    {
      "id": 2100295141441347962,
      "created_ms": 1789584357973,
      "user_id": 15165493,
      "user": "NASASolarSystem",
      "name": "NASA Solar System",
      "text": "…",
      "lang": "en",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2100295141441347962",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [
        "https://pbs.twimg.com/media/HSW_TFmX0AA6HWR.jpg"
      ],
      "media_items": [
        {
          "type": "photo",
          "url": "https://pbs.twimg.com/media/HSW_TFmX0AA6HWR.jpg",
          "expanded_url": "https://x.com/NASASolarSystem/status/2100295141441347962/photo/1",
          "width": 2856,
          "height": 1604
        }
      ],
      "urls": [
        "https://go.nasa.gov/…"
      ],
      "views": "295748",
      "counts": {
        "reply": 103,
        "rt": 444,
        "like": 2990,
        "quote": 58,
        "bookmark": 253
      },
      "source": "<a href=\"https://www.sprinklr.com\" rel=\"nofollow\">Sprinklr</a>"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAACCgACHSYw9bMAJxAKAAMd…"
}